package fr.iutfbleau.papillon;

import javax.swing.*;

/**
 * La classe <code>ChoixRang</code> représente une liste déroulante
 * permettant de filtrer les rappels selon leur niveau de priorité (rang)
 * dans l’application <b>Papillon</b>.
 * <p>
 * L’utilisateur peut sélectionner un rang spécifique ou choisir “Tout”
 * pour afficher tous les rappels.
 * </p>
 *
 * @version 1.0
 * @author Seri-khane YOLOU, Aylane SEHL, Jenson VAL
 */
public class ChoixRang extends JComboBox<String> {

    /**
     * Constructeur qui initialise la liste déroulante des rangs.
     * <p>
     * Par défaut, l’élément sélectionné est “Tout”.
     * </p>
     */
    public ChoixRang(){
        super(new String[]{"Tout", "Rang 1", "Rang 2", "Rang 3","Rang 4", "Rang 5"});
        this.setSelectedItem("Tout");
        this.addActionListener(this); 
    }

    /**
     * Met à jour l’affichage des rappels en fonction du rang sélectionné.
     *
     * @param main la fenêtre principale de l’application <b>Papillon</b>
     */
    public void tirage(Main main){

    main.setTrie(this.getSelectedIndex());
    main.maj();
    
    }


}